Waiting for engine...
Skip to main content

Boomi MFT - AFT Management API Reference (v1) - FlowEndpointConfigurations

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

FlowEndpointConfigurations

Retrieves a specific flow endpoint configuration by ID

Returns flow endpoint configuration including paths, filters, and processing settings.

Authorizations:
ApiKeyBearer
path Parameters
flowEndpointConfigurationId
required
integer <int32>

Unique identifier of the flow endpoint configuration

Responses

Response Schema:
id
integer <int32>
flowEndpointId
integer <int32>
isEnabled
boolean
isOverwriteExistingFiles
boolean
isDeleteDeliveredFiles
boolean
isCustomerArchive
boolean
alertHour
integer <int32>
isSubfolders
boolean
flowEndpointName
string or null
serverPath
string or null
thruPath
string or null
filenameFilters
string or null
excludeFilenameFilters
string or null
bucketName
string or null
sourceServerArchivePath
string or null
archiveSourceEndpointCode
string or null
note
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>
dateFilters
string or null
associatedThruNodeId
string or null
numConcurrentFiles
integer <int32>
nodeRootPath
string or null
Array of objects or null (FlowEndpointServerPaths)

Response samples

Content type
No sample

Deletes a specific flow endpoint configuration

Removes flow endpoint configuration from the system.

Authorizations:
ApiKeyBearer
path Parameters
flowEndpointConfigurationId
required
integer <int32>

Unique identifier of the flow endpoint configuration to delete

Responses

Response Schema:
object (thruStatus)
data
any or null

Response samples

Content type
No sample

Retrieves flow endpoint configuration for a specific flow endpoint

Returns configuration for a specific flow endpoint including file filters and processing options.

Authorizations:
ApiKeyBearer
query Parameters
flowEndpointId
integer <int32>

Unique identifier of the flow endpoint

Responses

Response Schema:
id
integer <int32>
flowEndpointId
integer <int32>
isEnabled
boolean
isOverwriteExistingFiles
boolean
isDeleteDeliveredFiles
boolean
isCustomerArchive
boolean
alertHour
integer <int32>
isSubfolders
boolean
flowEndpointName
string or null
serverPath
string or null
thruPath
string or null
filenameFilters
string or null
excludeFilenameFilters
string or null
bucketName
string or null
sourceServerArchivePath
string or null
archiveSourceEndpointCode
string or null
note
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>
dateFilters
string or null
associatedThruNodeId
string or null
numConcurrentFiles
integer <int32>
nodeRootPath
string or null
Array of objects or null (FlowEndpointServerPaths)

Response samples

Content type
No sample

Creates a new flow endpoint configuration

Example dateFilters:

[ { "condition": "BETWEEN", "date": "2022-11-01T05:00:00.000Z", "secondaryDate": "2022-11-30T06:00:00.000Z" }, { "condition": "AFTER", "date": "2023-01-01T06:00:00.000Z", "secondaryDate": "2023-01-26T21:15:38.367Z" }, { "condition": "BEFORE", "date": "2022-09-30T05:00:00.000Z", "secondaryDate": "2023-01-26T19:56:32.830Z" } ]

Authorizations:
ApiKeyBearer
Request Body schema:

Flow endpoint configuration details including paths, filters, and processing settings

id
integer <int32>
flowEndpointId
integer <int32>
isEnabled
boolean
isOverwriteExistingFiles
boolean
isDeleteDeliveredFiles
boolean
isCustomerArchive
boolean
alertHour
integer <int32>
isSubfolders
boolean
flowEndpointName
string or null
serverPath
string or null
thruPath
string or null
filenameFilters
string or null
excludeFilenameFilters
string or null
bucketName
string or null
sourceServerArchivePath
string or null
archiveSourceEndpointCode
string or null
note
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>
dateFilters
string or null
associatedThruNodeId
string or null
numConcurrentFiles
integer <int32>
nodeRootPath
string or null
Array of objects or null (FlowEndpointServerPaths)

Responses

Response Schema:
id
integer <int32>
flowEndpointId
integer <int32>
isEnabled
boolean
isOverwriteExistingFiles
boolean
isDeleteDeliveredFiles
boolean
isCustomerArchive
boolean
alertHour
integer <int32>
isSubfolders
boolean
flowEndpointName
string or null
serverPath
string or null
thruPath
string or null
filenameFilters
string or null
excludeFilenameFilters
string or null
bucketName
string or null
sourceServerArchivePath
string or null
archiveSourceEndpointCode
string or null
note
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>
dateFilters
string or null
associatedThruNodeId
string or null
numConcurrentFiles
integer <int32>
nodeRootPath
string or null
Array of objects or null (FlowEndpointServerPaths)

Request samples

Content type
{
  • "id": 0,
  • "flowEndpointId": 0,
  • "isEnabled": true,
  • "isOverwriteExistingFiles": true,
  • "isDeleteDeliveredFiles": true,
  • "isCustomerArchive": true,
  • "alertHour": 0,
  • "isSubfolders": true,
  • "flowEndpointName": "string",
  • "serverPath": "string",
  • "thruPath": "string",
  • "filenameFilters": "string",
  • "excludeFilenameFilters": "string",
  • "bucketName": "string",
  • "sourceServerArchivePath": "string",
  • "archiveSourceEndpointCode": "string",
  • "note": "string",
  • "createdBy": "string",
  • "createdDate": "2019-08-24T14:15:22Z",
  • "updatedBy": "string",
  • "updatedDate": "2019-08-24T14:15:22Z",
  • "deletedBy": "string",
  • "deletedDate": "2019-08-24T14:15:22Z",
  • "dateFilters": "string",
  • "associatedThruNodeId": "string",
  • "numConcurrentFiles": 0,
  • "nodeRootPath": "string",
  • "serverPathList": [
    • {
      }
    ]
}

Response samples

Content type
No sample

Updates an existing flow endpoint configuration

Example dateFilters:

[ { "condition": "BETWEEN", "date": "2022-11-01T05:00:00.000Z", "secondaryDate": "2022-11-30T06:00:00.000Z" }, { "condition": "AFTER", "date": "2023-01-01T06:00:00.000Z", "secondaryDate": "2023-01-26T21:15:38.367Z" }, { "condition": "BEFORE", "date": "2022-09-30T05:00:00.000Z", "secondaryDate": "2023-01-26T19:56:32.830Z" } ]

Authorizations:
ApiKeyBearer
Request Body schema:

Updated flow endpoint configuration details

id
integer <int32>
flowEndpointId
integer <int32>
isEnabled
boolean
isOverwriteExistingFiles
boolean
isDeleteDeliveredFiles
boolean
isCustomerArchive
boolean
alertHour
integer <int32>
isSubfolders
boolean
flowEndpointName
string or null
serverPath
string or null
thruPath
string or null
filenameFilters
string or null
excludeFilenameFilters
string or null
bucketName
string or null
sourceServerArchivePath
string or null
archiveSourceEndpointCode
string or null
note
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>
dateFilters
string or null
associatedThruNodeId
string or null
numConcurrentFiles
integer <int32>
nodeRootPath
string or null
Array of objects or null (FlowEndpointServerPaths)

Responses

Response Schema:
id
integer <int32>
flowEndpointId
integer <int32>
isEnabled
boolean
isOverwriteExistingFiles
boolean
isDeleteDeliveredFiles
boolean
isCustomerArchive
boolean
alertHour
integer <int32>
isSubfolders
boolean
flowEndpointName
string or null
serverPath
string or null
thruPath
string or null
filenameFilters
string or null
excludeFilenameFilters
string or null
bucketName
string or null
sourceServerArchivePath
string or null
archiveSourceEndpointCode
string or null
note
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>
dateFilters
string or null
associatedThruNodeId
string or null
numConcurrentFiles
integer <int32>
nodeRootPath
string or null
Array of objects or null (FlowEndpointServerPaths)

Request samples

Content type
{
  • "id": 0,
  • "flowEndpointId": 0,
  • "isEnabled": true,
  • "isOverwriteExistingFiles": true,
  • "isDeleteDeliveredFiles": true,
  • "isCustomerArchive": true,
  • "alertHour": 0,
  • "isSubfolders": true,
  • "flowEndpointName": "string",
  • "serverPath": "string",
  • "thruPath": "string",
  • "filenameFilters": "string",
  • "excludeFilenameFilters": "string",
  • "bucketName": "string",
  • "sourceServerArchivePath": "string",
  • "archiveSourceEndpointCode": "string",
  • "note": "string",
  • "createdBy": "string",
  • "createdDate": "2019-08-24T14:15:22Z",
  • "updatedBy": "string",
  • "updatedDate": "2019-08-24T14:15:22Z",
  • "deletedBy": "string",
  • "deletedDate": "2019-08-24T14:15:22Z",
  • "dateFilters": "string",
  • "associatedThruNodeId": "string",
  • "numConcurrentFiles": 0,
  • "nodeRootPath": "string",
  • "serverPathList": [
    • {
      }
    ]
}

Response samples

Content type
No sample

Saves flow endpoint configuration (creates new or updates existing based on ID)

Performs upsert operation: creates new configuration if ID is 0, otherwise updates existing configuration

Example dateFilters:

[ { "condition": "BETWEEN", "date": "2022-11-01T05:00:00.000Z", "secondaryDate": "2022-11-30T06:00:00.000Z" }, { "condition": "AFTER", "date": "2023-01-01T06:00:00.000Z", "secondaryDate": "2023-01-26T21:15:38.367Z" }, { "condition": "BEFORE", "date": "2022-09-30T05:00:00.000Z", "secondaryDate": "2023-01-26T19:56:32.830Z" } ]

Authorizations:
ApiKeyBearer
Request Body schema:

Flow endpoint configuration to save (performs upsert based on record ID)

id
integer <int32>
flowEndpointId
integer <int32>
isEnabled
boolean
isOverwriteExistingFiles
boolean
isDeleteDeliveredFiles
boolean
isCustomerArchive
boolean
alertHour
integer <int32>
isSubfolders
boolean
flowEndpointName
string or null
serverPath
string or null
thruPath
string or null
filenameFilters
string or null
excludeFilenameFilters
string or null
bucketName
string or null
sourceServerArchivePath
string or null
archiveSourceEndpointCode
string or null
note
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>
dateFilters
string or null
associatedThruNodeId
string or null
numConcurrentFiles
integer <int32>
nodeRootPath
string or null
Array of objects or null (FlowEndpointServerPaths)

Responses

Response Schema:
id
integer <int32>
flowEndpointId
integer <int32>
isEnabled
boolean
isOverwriteExistingFiles
boolean
isDeleteDeliveredFiles
boolean
isCustomerArchive
boolean
alertHour
integer <int32>
isSubfolders
boolean
flowEndpointName
string or null
serverPath
string or null
thruPath
string or null
filenameFilters
string or null
excludeFilenameFilters
string or null
bucketName
string or null
sourceServerArchivePath
string or null
archiveSourceEndpointCode
string or null
note
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>
dateFilters
string or null
associatedThruNodeId
string or null
numConcurrentFiles
integer <int32>
nodeRootPath
string or null
Array of objects or null (FlowEndpointServerPaths)

Request samples

Content type
{
  • "id": 0,
  • "flowEndpointId": 0,
  • "isEnabled": true,
  • "isOverwriteExistingFiles": true,
  • "isDeleteDeliveredFiles": true,
  • "isCustomerArchive": true,
  • "alertHour": 0,
  • "isSubfolders": true,
  • "flowEndpointName": "string",
  • "serverPath": "string",
  • "thruPath": "string",
  • "filenameFilters": "string",
  • "excludeFilenameFilters": "string",
  • "bucketName": "string",
  • "sourceServerArchivePath": "string",
  • "archiveSourceEndpointCode": "string",
  • "note": "string",
  • "createdBy": "string",
  • "createdDate": "2019-08-24T14:15:22Z",
  • "updatedBy": "string",
  • "updatedDate": "2019-08-24T14:15:22Z",
  • "deletedBy": "string",
  • "deletedDate": "2019-08-24T14:15:22Z",
  • "dateFilters": "string",
  • "associatedThruNodeId": "string",
  • "numConcurrentFiles": 0,
  • "nodeRootPath": "string",
  • "serverPathList": [
    • {
      }
    ]
}

Response samples

Content type
No sample

Deletes all flow endpoint configurations for a specific flow endpoint

Removes all configurations associated with a flow endpoint.

Authorizations:
ApiKeyBearer
query Parameters
flowEndpointId
integer <int32>

Unique identifier of the flow endpoint to remove all configurations for

Responses

Response Schema:
object (thruStatus)
data
any or null

Response samples

Content type
No sample